DEMANGLE(1)

NAME
demangle - Ångra C++ namnbehandling av symboler

SYNOPSIS

demangle

BESKRIVNING

demangle läser en lista med C++ behandlade symbolnamn från standardinmatningen och konverterar namnen till mänskligt läsbar form på standardutmatningen.

Verktyget är en del av KDE:s programvaruutvecklingsmiljö.

EXEMPEL

Skapa en fil som heter namn och innehåller följande behandlade symbolnamn:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Behandlingen av namnen kan därefter tas bort enligt följande:

    exempel$ demangle < namn Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

SE OCKSå

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.